<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.main.MainVM" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_bg">

        <LinearLayout
            android:id="@+id/left_bar"
            android:layout_width="50dp"
            android:layout_height="@dimen/dp_0"
            android:orientation="vertical"
            android:background="@color/white"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_0"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/base_archives"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnBaseArchivesClickCommand}"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_1"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/sign_measure"
                android:textColor="@color/color_font_non_focus"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnSignMeasureClickCommand}"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_2"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/weighting_manage"
                android:textColor="@color/color_font_non_focus"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnWeightingManageClickCommand}"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_3"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/treatment_record"
                android:textColor="@color/color_font_non_focus"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnTreatmentRecordClickCommand}"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_4"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/immun_record"
                android:textColor="@color/color_font_non_focus"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnImmunRecordClickCommand}"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_tab_5"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_0"
                android:layout_weight="1"
                android:ems="1"
                android:gravity="center"
                android:text="@string/breeding_record"
                android:textColor="@color/color_font_non_focus"
                android:textSize="@dimen/sp_10"
                binding:onClickCommand="@{viewModel.OnBreedingRecordClickCommand}"
                />
        </LinearLayout>

        <FrameLayout
            android:id="@+id/frameLayout"
            android:layout_width="@dimen/dp_0"
            android:layout_height="@dimen/dp_0"
            binding:layout_constraintTop_toTopOf="parent"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toRightOf="@+id/left_bar"
            binding:layout_constraintRight_toRightOf="parent"
            />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
